OXID eShop 6.5.0

Release date: 16/08/2022

OXID eShop 6.5.0

  • supports, among others, two of our new payment modules
    See New or updated components.

  • fixes bugs
    See Corrections.

  • supports PHP 8.1
    See Server and system requirements, section PHP.

  • uses Symfony 5.4 instead of Symfony 3.4
    Background: Symfony 3.4 is no longer supported with (security) updates and is not compatible with PHP 8.1.

    Attention

    Breaking Changes

    Check if you can still use all modules in OXID eShop 6.5.

    • Third party or custom modules

      If you use third-party or custom modules, make sure that these modules are compatible with Symfony 5.4.

    • Amazon Pay

      The previous Amazon Pay (Amazon Pay & Login for OXID eShop) is no longer supported by OXID eShop.

      Background: We replace Amazon Pay with our new module Amazon Pay for OXID.

      Workaround: To smoothly migrate your OXID eShop to the new module, follow the instructions at Breaking Changes.

Important

New OXID eShop Community Edition license

With OXID eShop version 6.5.0, the Community Edition is exclusively for non-commercial use.

Starting on 15-08-2022, we provide you with the OXID eShop Community Edition for evaluation, testing and proof of concepts.

For more information about the OXID eShop Community Edition License 2022, see https://github.com/OXID-eSales/oxideshop_ce/blob/b-6.5.x/LICENSE.

To use the OXID eShop software commercially, contact OXID eSales at sales@oxid-esales.com.

Improvements and adjustments

View changes in the compilation in the metapackage: https://github.com/OXID-eSales/oxideshop_metapackage_ce/compare/v6.4.3…v6.5.0.

Breaking Changes

The previous Amazon Pay module Amazon Pay & Login for OXID eShop (see https://github.com/bestit/amazon-pay-oxid) is no longer part of the compilation.

We replace it with a new module Amazon Pay for OXID for payment and checkout with Amazon.

If you use Amazon Pay & Login for OXID eShop, run it in parallel together with Amazon Pay for OXID temporarily before updating to OXID eShop 6.5.
Parallel operation is necessary until all old orders are completed that were still made with Amazon Pay & Login for OXID eShop.

Do the following:

  1. If you have OXID 6.0 or earlier, make an update to OXID eShop version 6.1, 6.2 or 6.3.
    Background: Parallel operation is possible only in OXID 6.1 to OXID 6.3 versions.

  2. Install and configure Amazon Pay for OXID.
    For more information, see https://docs.oxid-esales.com/modules/amazon-pay/en/latest/index.html.

  3. Schedule a downtime for your OXID eShop and do the following:

    • Enable Amazon Pay for OXID for live operation.
    • Disable all payment methods that belong to Amazon Pay & Login for OXID eShop.

    Result: Your customers will process future payments with Amazon Pay for OXID.
    You can still monitor payments for old orders with Amazon Pay & Login for OXID eShop.

  4. Once all old orders are processed, do the following:

    1. Disable Amazon Pay & Login for OXID eShop.
    2. Perform the update to OXID eShop 6.5.

New or updated components

The following components and modules have been updated or added:

Compilation components

The compilation contains the following components:

Other Modules

Install the following modules manually if required.

Corrections

Find corrections in our bug tracking system under https://bugs.oxid-esales.com/changelog_page.php?version_id=670.

Installation

To install or upgrade, follow the instructions in the Installation section:

New installation
Installing a minor update
Installing a patch update